/******************************************************************************************
	TABLE 1
******************************************************************************************/




* Frequency top earner is a given occupation
* ==========================================

    
import delimited using "${input_tables_dir}top_earn_occupation_freqs.csv", varnames(1) clear

rename pct_col_rnd percent_rnd

local row1_col1=round(percent_rnd[1],0.01)
local row1_col2=round(percent_rnd[4],0.01)
local row1_col3=round(percent_rnd[2],0.01)
local row1_col4=round(percent_rnd[5],0.01)
local row1_col5=round(percent_rnd[3],0.01)
local row1_col6=round(percent_rnd[6],0.01)

local row2_col1=round(percent_rnd[7],0.01)
local row2_col2=round(percent_rnd[10],0.01)
local row2_col3=round(percent_rnd[8],0.01)
local row2_col4=round(percent_rnd[11],0.01)
local row2_col5=round(percent_rnd[9],0.01)
local row2_col6=round(percent_rnd[12],0.01)

local row3_col1=round(percent_rnd[13],0.01)
local row3_col2=round(percent_rnd[16],0.01)
local row3_col3=round(percent_rnd[14],0.01)
local row3_col4=round(percent_rnd[17],0.01)
local row3_col5=round(percent_rnd[15],0.01)
local row3_col6=round(percent_rnd[18],0.01)

local row4_col1=round(percent_rnd[19],0.01)
local row4_col2=round(percent_rnd[22],0.01)
local row4_col3=round(percent_rnd[20],0.01)
local row4_col4=round(percent_rnd[23],0.01)
local row4_col5=round(percent_rnd[21],0.01)
local row4_col6=round(percent_rnd[24],0.01)

local row6_col1=round(percent_rnd[25],0.01)
local row6_col2=round(percent_rnd[28],0.01)
local row6_col3=round(percent_rnd[26],0.01)
local row6_col4=round(percent_rnd[29],0.01)
local row6_col5=round(percent_rnd[27],0.01)
local row6_col6=round(percent_rnd[30],0.01)

local row5_col1=round(percent_rnd[31],0.01)
local row5_col2=round(percent_rnd[34],0.01)
local row5_col3=round(percent_rnd[32],0.01)
local row5_col4=round(percent_rnd[35],0.01)
local row5_col5=round(percent_rnd[33],0.01)
local row5_col6=round(percent_rnd[36],0.01)

* START TABLE
local file_name table_1a
capture file close `file_name'
file open `file_name' using "${tables_figures}`file_name'.txt", write text replace
file write `file_name' "\begin{table}[H] " _n
file write `file_name' "\centering " _n
file write `file_name' "\caption{Frequency top earner is a given occupation}\label{tab:top_earner_is_occ} " _n
file write `file_name' "\begin{tabular}{l c c c c c c} " _n
file write `file_name' "& (1) & (2)& (3) & (4)& (5) & (6)  \\ \toprule " _n
file write `file_name' "Earnings & \multicolumn{2}{c}{Executive / Manager} & \multicolumn{2}{c}{Professional}& \multicolumn{2}{c}{Supervisor}  \\ \toprule " _n
file write `file_name' "Threshold & Female & Male & Female & Male & Female & Male  \\ " _n
file write `file_name' "\hline" _n

* ADD DATA
file write `file_name' " <90th percentile & `row1_col1' & `row1_col2' & `row1_col3' & `row1_col4' & `row1_col5' & `row1_col6' \\ " _n
file write `file_name' " 90th percentile + & `row2_col1' & `row2_col2' & `row2_col3' & `row2_col4' & `row2_col5' & `row2_col6' \\ " _n
file write `file_name' " 95th percentile + & `row3_col1' & `row3_col2' & `row3_col3' & `row3_col4' & `row3_col5' & `row3_col6' \\ " _n
file write `file_name' " 99th percentile + & `row4_col1' & `row4_col2' & `row4_col3' & `row4_col4' & `row4_col5' & `row4_col6' \\ " _n
file write `file_name' " top 3 & `row5_col1' & `row5_col2' & `row5_col3' & `row5_col4' & `row5_col5' & `row5_col6' \\ \bottomrule " _n
file write `file_name' " top 1 & `row6_col1' & `row6_col2' & `row6_col3' & `row6_col4' & `row6_col5' & `row6_col6' \\ \bottomrule " _n



* END TABLE
file write `file_name' "\end{tabular}" _n
file write `file_name' "\end{table} " _n
file close `file_name'



* Frequency top earner is a given occupation - weighted
* ==========================================

    
import delimited using "${input_tables_dir}top_earn_occupation_freqs_wt.csv", varnames(1) clear

rename pct_col_rnd percent_rnd

local row1_col1=round(percent_rnd[1],0.01)
local row1_col2=round(percent_rnd[4],0.01)
local row1_col3=round(percent_rnd[2],0.01)
local row1_col4=round(percent_rnd[5],0.01)
local row1_col5=round(percent_rnd[3],0.01)
local row1_col6=round(percent_rnd[6],0.01)

local row2_col1=round(percent_rnd[7],0.01)
local row2_col2=round(percent_rnd[10],0.01)
local row2_col3=round(percent_rnd[8],0.01)
local row2_col4=round(percent_rnd[11],0.01)
local row2_col5=round(percent_rnd[9],0.01)
local row2_col6=round(percent_rnd[12],0.01)

local row3_col1=round(percent_rnd[13],0.01)
local row3_col2=round(percent_rnd[16],0.01)
local row3_col3=round(percent_rnd[14],0.01)
local row3_col4=round(percent_rnd[17],0.01)
local row3_col5=round(percent_rnd[15],0.01)
local row3_col6=round(percent_rnd[18],0.01)

local row4_col1=round(percent_rnd[19],0.01)
local row4_col2=round(percent_rnd[22],0.01)
local row4_col3=round(percent_rnd[20],0.01)
local row4_col4=round(percent_rnd[23],0.01)
local row4_col5=round(percent_rnd[21],0.01)
local row4_col6=round(percent_rnd[24],0.01)

local row6_col1=round(percent_rnd[25],0.01)
local row6_col2=round(percent_rnd[28],0.01)
local row6_col3=round(percent_rnd[26],0.01)
local row6_col4=round(percent_rnd[29],0.01)
local row6_col5=round(percent_rnd[27],0.01)
local row6_col6=round(percent_rnd[30],0.01)

local row5_col1=round(percent_rnd[31],0.01)
local row5_col2=round(percent_rnd[34],0.01)
local row5_col3=round(percent_rnd[32],0.01)
local row5_col4=round(percent_rnd[35],0.01)
local row5_col5=round(percent_rnd[33],0.01)
local row5_col6=round(percent_rnd[36],0.01)

* START TABLE
local file_name table_1b
capture file close `file_name'
file open `file_name' using "${tables_figures}`file_name'.txt", write text replace
file write `file_name' "\begin{table}[H] " _n
file write `file_name' "\centering " _n
file write `file_name' "\caption{Frequency top earner is a given occupation - employment weighted}\label{tab:top_earner_is_occ_wt} " _n
file write `file_name' "\begin{tabular}{l c c c c c c} " _n
file write `file_name' "& (1) & (2)& (3) & (4)& (5) & (6)  \\ \toprule " _n
file write `file_name' "Earnings & \multicolumn{2}{c}{Executive / Manager} & \multicolumn{2}{c}{Professional}& \multicolumn{2}{c}{Supervisor}  \\ \toprule " _n
file write `file_name' "Threshold & Female & Male & Female & Male & Female & Male  \\ " _n
file write `file_name' "\hline" _n

* ADD DATA
file write `file_name' " <90th percentile & `row1_col1' & `row1_col2' & `row1_col3' & `row1_col4' & `row1_col5' & `row1_col6' \\ " _n
file write `file_name' " 90th percentile + & `row2_col1' & `row2_col2' & `row2_col3' & `row2_col4' & `row2_col5' & `row2_col6' \\ " _n
file write `file_name' " 95th percentile + & `row3_col1' & `row3_col2' & `row3_col3' & `row3_col4' & `row3_col5' & `row3_col6' \\ " _n
file write `file_name' " 99th percentile + & `row4_col1' & `row4_col2' & `row4_col3' & `row4_col4' & `row4_col5' & `row4_col6' \\ " _n
file write `file_name' " top 3 & `row5_col1' & `row5_col2' & `row5_col3' & `row5_col4' & `row5_col5' & `row5_col6' \\ \bottomrule " _n
file write `file_name' " top 1 & `row6_col1' & `row6_col2' & `row6_col3' & `row6_col4' & `row6_col5' & `row6_col6' \\ \bottomrule " _n



* END TABLE
file write `file_name' "\end{tabular}" _n
file write `file_name' "\end{table} " _n
file close `file_name'


