*------------------------------------------------------------------------------------------*
*	TABLE 1. SUMMARY STATISTICS by SEX COMPOSITION OF EXECUTIVES
*------------------------------------------------------------------------------------------*
{
	
*define sample size
local freq quarterly
local samplesize r(p25)

*define number of significant digits
global sigdignum=3
	
*define variable list
local varlist age birth_order educ_lhs educ_hs educ_sc educ_cp hispanic ///
	race_white race_black race_native race_asian ///
	tenure_bck pre_lnearnings firmage lnfirmsize ///
	 sepne2yr empft1yrlater emp_at_samefid_yr3 
*load data
use parent_flag top3_f_ratio uniform `varlist' industry_* using "${datatemp}cleandata_reg.dta", clear
sum uniform, detail
keep if uniform<``samplesize''
gen ind_other = 0
local indlist ind_other
foreach var of varlist industry_* {
		local temp=substr("`var'",-2,2)
		di "`var'"
		if "`temp'"!="52" & "`temp'"!="61" & "`temp'"!="62" & "`temp'"!="33" & "`temp'"!="45" {
			replace ind_other = 1 if `var'==1
		}
		else {
			local indlist "`indlist' `var'"
		}
}
keep  `varlist' `indlist' top3_f_ratio parent_flag
gen samplesize = 1
preserve
*calculate means
sum
collapse (sum) samplesize (mean) `varlist' `indlist', by(top3_f_ratio parent_flag) fast
drbroundvar, x(samplesize)
drop samplesize
foreach x in `varlist' `indlist' {
	sigdigitsvar, val_sd(`x') sigdigit_sd($sigdignum)
}
order top3_f_ratio parent_flag samplesize_rounded `varlist' `indlist'
*export to csv file
export delimited using "${tables_figures}table_2.csv", replace
}
*end section
