options ls=130 ps=100 msglevel=i fullstimer obs=max  mprint mlogic symbolgen spool;;

%let state_set = il md wa wi; 
%let state_fips = ;
%let first_qtime = 21;
%let first_year = 1990;
%let first_quarter = 1;                
%let last_qtime = 132;
%let last_year = 2017;
%let last_quarter = 4;    

* regression analysis time boundaries (based on the states available as of that time - actual start and end times are 4 quarters after first and 8 quarter before last;
%let first_qtime_reg = 41;
%let first_year_reg = 1995;
%let first_quarter_reg = 1;
%let last_qtime_reg =  132;   
%let last_year_reg = 2017;
%let last_quarter_reg = 4;       
                
                
         
*DEFINE FILE PATHS;
%let dirprog=/replication;
%let figure_path=/replication/figures;

*DEFINE LIBRARY NAMES;
libname interwrk "";
libname inputs "";
libname temp     "";
libname outputs  "";
libname foutputs "";
libname lehd_t13     "";
libname lehd_t26     "";
libname cen00 "" access=readonly;
libname cenx00 "" access=readonly;
libname cen10 "" access=readonly;
libname cenx10 "" access=readonly;

%macro acslib;
%DO yr=2001 %TO 2017;
	libname acs&yr. "/&yr." access=readonly;
	libname acsx&yr. "/&yr." access=readonly;
%END;
%mend acslib;
%acslib;
                
* minimum firm sizes (in given qtime) for given top earner threshold;
%let top1_min_fsize = 3;
%let top3_min_fsize = 9;
%let p99_min_fsize = 200;
%let p95_min_fsize = 40;
%let p90_min_fsize = 20;

* Coworker minimum and maximum ages in birth qtime;
%let min_coworker_age = 18;
%let max_coworker_age = 45;

* Maximum number of coworkers we target per firm;
%let max_coworker_target = 3;

* For top earner transitions
* ===========================;
*Duration top earner must be top earner before/after transition;
%let min_top_earn_tenure = 8;

* Minimum number of employees at the firm;
%let min_trans_emp_thres = 5;
